<html>
<head>
<title>OgreGLFBORenderTexture.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreGLFBORenderTexture.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGLFrameBufferObject_8h_source.html">OgreGLFrameBufferObject.h</a>&quot;</code><br/>
</div>
<p><a href="OgreGLFBORenderTexture_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBORenderTexture.html">Ogre::GLFBORenderTexture</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> for GL FBO.  <a href="classOgre_1_1GLFBORenderTexture.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html">Ogre::GLFBOManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory for GL Frame Buffer Objects, and related things.  <a href="classOgre_1_1GLFBOManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html">Ogre::GLFBOManager::FormatProperties</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame Buffer Object properties for a certain texture format.  <a href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html">Ogre::GLFBOManager::FormatProperties::Mode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allowed modes/properties for this pixel format.  <a href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">Ogre::GLFBOManager::RBFormat</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.  <a href="structOgre_1_1GLFBOManager_1_1RBFormat.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html">Ogre::GLFBOManager::RBRef</a></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLFBORenderTexture_8h.html#a977d93453dbd8b304989cbd9b1606490">GL_DEPTH24_STENCIL8_EXT</a>&#160;&#160;&#160;0x88F0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Extra GL constants.  <a href="#a977d93453dbd8b304989cbd9b1606490"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a977d93453dbd8b304989cbd9b1606490"></a><!-- doxytag: member="OgreGLFBORenderTexture.h::GL_DEPTH24_STENCIL8_EXT" ref="a977d93453dbd8b304989cbd9b1606490" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLFBORenderTexture_8h.html#a977d93453dbd8b304989cbd9b1606490">GL_DEPTH24_STENCIL8_EXT</a>&#160;&#160;&#160;0x88F0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Extra GL constants. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00036">36</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
